@charset "utf-8";

/* モーダル全体のスタイル */
.modal {
   display: none;
   position: fixed;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   background-color: rgba(0, 0, 0, 0.7);
   z-index: 1;
}

/* モーダルのコンテンツスタイル */
.modal-content {
   background-color: rgb(41, 39, 39);
   margin: 10% auto;
   padding: 20px;
   border: 1px solid #888;
   width: 0%;
   max-width: 600px;
   height: 30%;
   border-radius: 8px;
   position: relative;
   text-align: center;
}


#buttonContainer {
   margin: 0 auto;
   text-align: center;
   overflow: auto;
   height: 65%;
   overflow-x: hidden;
}

/* 閉じるボタンのスタイル */
.modalclose {
   position: absolute;
   top: 10px;
   right: 10px;
   font-size: 30px;
   cursor: pointer;
}

.overlay {
   display: none;
   position: fixed;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   background-color: rgba(0, 0, 0, 0.5);
   pointer-events: none;
}

.dialog {
   display: none;
   position: fixed;
   top: 50%;
   left: 50%;
   transform: translate(-50%, -50%);
   background-color: rgb(41, 39, 39);
   padding: 20px;
   border: 1px solid #888;
   border-radius: 8px;
   box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
}
/* 資料確認ボタン　*/
.modalbtn {
   all: unset;
   margin: 5px;
   width: 180px;
   height: 32px;
   border: 1px solid black;
   border-radius: 8px;
   background-color: rgb(7, 111, 152);
   text-align: center;
   cursor: pointer;
}



/* モーダルダイアログのスタイル */
.docmodal {
   display: none; /* 初期状態では非表示 */
   position: fixed;
   top: 0;
   left: 0;
   width: 100%;
   height: 100%;
   background-color: rgba(0,0,0,0.5); /* 背景を半透明に */
}
.doc-modal-content {
   position: fixed;
   top: 40%;
   left: 40%;
   background-color: rgb(41, 39, 39);
   padding: 20px;
   border: 1px solid #888;
   border-radius: 8px;
   box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
   width: 600px;
   height: 100px;
}

.doc-form {
   margin-top: 35px;
}

.docbtn  {
   padding: 5px 50px;
   cursor: pointer;
   font-family: 'Secular One', sans-serif;
   border-radius: 8px;
   height: 20px;
}

.disabled {
   background-color: #ccc;
   color: #999;
}